'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _extends = _interopDefault(require('@babel/runtime/helpers/builtin/extends'));
var Globals = require('../../animated/Globals.js');
var Animation_js = _interopDefault(require('../../animated/Animation.js'));
var AnimatedValue_js = _interopDefault(require('../../animated/AnimatedValue.js'));
var SpringAnimation_js = _interopDefault(require('../../animated/SpringAnimation.js'));
var AnimatedController_js = _interopDefault(require('../../animated/AnimatedController.js'));
require('../../animated/Interpolation.js');
var animated = _interopDefault(require('../../animated/createAnimatedComponent.js'));
var createInterpolation = _interopDefault(require('../shared/interpolation.js'));
var colorNames = _interopDefault(require('../shared/colors.js'));
var Spring_js = require('../../Spring.js');
var Spring_js__default = _interopDefault(Spring_js);
var Transition_js = _interopDefault(require('../../Transition.js'));
var Trail_js = _interopDefault(require('../../Trail.js'));
var Keyframes_js = _interopDefault(require('../../Keyframes.js'));

Globals.injectInterpolation(createInterpolation);
Globals.injectColorNames(colorNames);
Globals.injectApplyAnimatedValues(function (instance, props) {
  if (instance.nodeType) {
    instance._applyProps(instance, props);
  } else return false;
}, function (style) {
  return style;
});
var konvaElements = ['Layer', 'FastLayer', 'Group', 'Label', 'Rect', 'Circle', 'Ellipse', 'Wedge', 'Line', 'Sprite', 'Image', 'Text', 'TextPath', 'Star', 'Ring', 'Arc', 'Tag', 'Path', 'RegularPolygon', 'Arrow', 'Shape', 'Transformer'];
Object.assign(animated, konvaElements.reduce(function (acc, element) {
  var _extends2;

  return _extends({}, acc, (_extends2 = {}, _extends2[element] = animated(element), _extends2));
}, {}));

exports.Globals = Globals;
exports.Animation = Animation_js;
exports.AnimatedValue = AnimatedValue_js;
exports.SpringAnimation = SpringAnimation_js;
exports.controller = AnimatedController_js;
exports.animated = animated;
exports.Spring = Spring_js__default;
exports.config = Spring_js.config;
exports.Transition = Transition_js;
exports.Trail = Trail_js;
exports.Keyframes = Keyframes_js;
