'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _extends = _interopDefault(require('@babel/runtime/helpers/builtin/extends'));
var Globals = require('../../animated/Globals.js');
var Animation_js = _interopDefault(require('../../animated/Animation.js'));
var AnimatedValue_js = _interopDefault(require('../../animated/AnimatedValue.js'));
var SpringAnimation_js = _interopDefault(require('../../animated/SpringAnimation.js'));
var AnimatedController_js = _interopDefault(require('../../animated/AnimatedController.js'));
var AnimatedInterpolation_js = require('../../animated/AnimatedInterpolation.js');
var createAnimatedComponent_js = _interopDefault(require('../../animated/createAnimatedComponent.js'));
var Spring_js = require('../../Spring.js');
var Spring_js__default = _interopDefault(Spring_js);
var Transition_js = _interopDefault(require('../../Transition.js'));
var Trail_js = _interopDefault(require('../../Trail.js'));
var Keyframes_js = _interopDefault(require('../../Keyframes.js'));
var createInterpolation = _interopDefault(require('../shared/interpolation.js'));
var colorNames = _interopDefault(require('../shared/colors.js'));
var AnimatedTransform = _interopDefault(require('./AnimatedTransform.js'));

Globals.injectInterpolation(createInterpolation);
Globals.injectColorNames(colorNames);
Globals.injectApplyAnimatedValues(function (instance, props) {
  return instance.setNativeProps ? instance.setNativeProps(props) : false;
}, function (style) {
  return _extends({}, style, {
    transform: new AnimatedTransform(style.transform)
  });
});

exports.Globals = Globals;
exports.Animation = Animation_js;
exports.AnimatedValue = AnimatedValue_js;
exports.SpringAnimation = SpringAnimation_js;
exports.controller = AnimatedController_js;
exports.interpolate = AnimatedInterpolation_js.interpolate;
exports.animated = createAnimatedComponent_js;
exports.Spring = Spring_js__default;
exports.config = Spring_js.config;
exports.Transition = Transition_js;
exports.Trail = Trail_js;
exports.Keyframes = Keyframes_js;
