import _extends from '@babel/runtime/helpers/builtin/es6/extends';
import * as Globals from '../../animated/Globals.js';
import { injectInterpolation, injectColorNames, injectApplyAnimatedValues } from '../../animated/Globals.js';
export { Globals };
import Animation_js from '../../animated/Animation.js';
export { default as Animation } from '../../animated/Animation.js';
import AnimatedValue_js from '../../animated/AnimatedValue.js';
export { default as AnimatedValue } from '../../animated/AnimatedValue.js';
import SpringAnimation_js from '../../animated/SpringAnimation.js';
export { default as SpringAnimation } from '../../animated/SpringAnimation.js';
import AnimatedController_js from '../../animated/AnimatedController.js';
export { default as controller } from '../../animated/AnimatedController.js';
import { interpolate } from '../../animated/AnimatedInterpolation.js';
export { interpolate } from '../../animated/AnimatedInterpolation.js';
import createAnimatedComponent_js from '../../animated/createAnimatedComponent.js';
export { default as animated } from '../../animated/createAnimatedComponent.js';
import Spring_js, { config } from '../../Spring.js';
export { default as Spring, config } from '../../Spring.js';
import Transition_js from '../../Transition.js';
export { default as Transition } from '../../Transition.js';
import Trail_js from '../../Trail.js';
export { default as Trail } from '../../Trail.js';
import Keyframes_js from '../../Keyframes.js';
export { default as Keyframes } from '../../Keyframes.js';
import createInterpolation from '../shared/interpolation.js';
import colorNames from '../shared/colors.js';
import AnimatedTransform from './AnimatedTransform.js';

injectInterpolation(createInterpolation);
injectColorNames(colorNames);
injectApplyAnimatedValues(function (instance, props) {
  return instance.setNativeProps ? instance.setNativeProps(props) : false;
}, function (style) {
  return _extends({}, style, {
    transform: new AnimatedTransform(style.transform)
  });
});
