'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _extends = _interopDefault(require('@babel/runtime/helpers/builtin/extends'));
var Globals = require('../../animated/Globals.js');
var Animation_js = _interopDefault(require('../../animated/Animation.js'));
var AnimatedValue_js = _interopDefault(require('../../animated/AnimatedValue.js'));
var SpringAnimation_js = _interopDefault(require('../../animated/SpringAnimation.js'));
var AnimatedController_js = _interopDefault(require('../../animated/AnimatedController.js'));
var Interpolation = _interopDefault(require('../../animated/Interpolation.js'));
var createAnimatedComponent_js = _interopDefault(require('../../animated/createAnimatedComponent.js'));
var Spring_js = require('../../Spring.js');
var Spring_js__default = _interopDefault(Spring_js);
var Transition_js = _interopDefault(require('../../Transition.js'));
var Trail_js = _interopDefault(require('../../Trail.js'));
var Keyframes_js = _interopDefault(require('../../Keyframes.js'));

// Solution: https://stackoverflow.com/questions/638565/parsing-scientific-notation-sensibly/658662

var stringShapeRegex = /[+\-]?(?:0|[1-9]\d*)(?:\.\d*)?(?:[eE][+\-]?\d+)?/g;

function createInterpolation(config) {
  var outputRange = config.output;
  var outputRanges = outputRange[0].match(stringShapeRegex).map(function () {
    return [];
  });
  outputRange.forEach(function (value) {
    value.match(stringShapeRegex).forEach(function (number, i) {
      return outputRanges[i].push(+number);
    });
  });
  var interpolations = outputRange[0].match(stringShapeRegex).map(function (_, i) {
    return Interpolation.create(_extends({}, config, {
      output: outputRanges[i]
    }));
  });
  return function (input) {
    var i = 0;
    return outputRange[0].replace(stringShapeRegex, function () {
      return interpolations[i++](input);
    });
  };
} // Render 30/fps by default


Globals.injectFrame(function (cb) {
  return setTimeout(cb, 1000 / 30);
}, function (r) {
  return clearTimeout(r);
});
Globals.injectInterpolation(createInterpolation);
Globals.injectApplyAnimatedValues(function () {
  return false;
}, function (style) {
  return style;
});

exports.Globals = Globals;
exports.Animation = Animation_js;
exports.AnimatedValue = AnimatedValue_js;
exports.SpringAnimation = SpringAnimation_js;
exports.controller = AnimatedController_js;
exports.animated = createAnimatedComponent_js;
exports.Spring = Spring_js__default;
exports.config = Spring_js.config;
exports.Transition = Transition_js;
exports.Trail = Trail_js;
exports.Keyframes = Keyframes_js;
