import _extends from '@babel/runtime/helpers/builtin/es6/extends';
import * as Globals from '../../animated/Globals.js';
import { injectFrame, injectInterpolation, injectApplyAnimatedValues } from '../../animated/Globals.js';
export { Globals };
import Animation_js from '../../animated/Animation.js';
export { default as Animation } from '../../animated/Animation.js';
import AnimatedValue_js from '../../animated/AnimatedValue.js';
export { default as AnimatedValue } from '../../animated/AnimatedValue.js';
import SpringAnimation_js from '../../animated/SpringAnimation.js';
export { default as SpringAnimation } from '../../animated/SpringAnimation.js';
import AnimatedController_js from '../../animated/AnimatedController.js';
export { default as controller } from '../../animated/AnimatedController.js';
import Interpolation from '../../animated/Interpolation.js';
import createAnimatedComponent_js from '../../animated/createAnimatedComponent.js';
export { default as animated } from '../../animated/createAnimatedComponent.js';
import Spring_js, { config } from '../../Spring.js';
export { default as Spring, config } from '../../Spring.js';
import Transition_js from '../../Transition.js';
export { default as Transition } from '../../Transition.js';
import Trail_js from '../../Trail.js';
export { default as Trail } from '../../Trail.js';
import Keyframes_js from '../../Keyframes.js';
export { default as Keyframes } from '../../Keyframes.js';

// Solution: https://stackoverflow.com/questions/638565/parsing-scientific-notation-sensibly/658662

var stringShapeRegex = /[+\-]?(?:0|[1-9]\d*)(?:\.\d*)?(?:[eE][+\-]?\d+)?/g;

function createInterpolation(config$$1) {
  var outputRange = config$$1.output;
  var outputRanges = outputRange[0].match(stringShapeRegex).map(function () {
    return [];
  });
  outputRange.forEach(function (value) {
    value.match(stringShapeRegex).forEach(function (number, i) {
      return outputRanges[i].push(+number);
    });
  });
  var interpolations = outputRange[0].match(stringShapeRegex).map(function (_, i) {
    return Interpolation.create(_extends({}, config$$1, {
      output: outputRanges[i]
    }));
  });
  return function (input) {
    var i = 0;
    return outputRange[0].replace(stringShapeRegex, function () {
      return interpolations[i++](input);
    });
  };
} // Render 30/fps by default


injectFrame(function (cb) {
  return setTimeout(cb, 1000 / 30);
}, function (r) {
  return clearTimeout(r);
});
injectInterpolation(createInterpolation);
injectApplyAnimatedValues(function () {
  return false;
}, function (style) {
  return style;
});
