'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _extends = _interopDefault(require('@babel/runtime/helpers/builtin/extends'));
require('./globals.js');
var Globals_js = require('../../animated/Globals.js');
var Animation_js = _interopDefault(require('../../animated/Animation.js'));
var AnimatedValue_js = _interopDefault(require('../../animated/AnimatedValue.js'));
var SpringAnimation_js = _interopDefault(require('../../animated/SpringAnimation.js'));
var AnimatedController_js = _interopDefault(require('../../animated/AnimatedController.js'));
var AnimatedInterpolation_js = require('../../animated/AnimatedInterpolation.js');
var animated = _interopDefault(require('../../animated/createAnimatedComponent.js'));
var Spring_js = require('../../Spring.js');
var Spring_js__default = _interopDefault(Spring_js);
var Transition_js = _interopDefault(require('../../Transition.js'));
var Trail_js = _interopDefault(require('../../Trail.js'));
var Keyframes_js = _interopDefault(require('../../Keyframes.js'));
var Parallax_js = require('./Parallax.js');
var Parallax_js__default = _interopDefault(Parallax_js);

var domElements = ['a', 'abbr', 'address', 'area', 'article', 'aside', 'audio', 'b', 'base', 'bdi', 'bdo', 'big', 'blockquote', 'body', 'br', 'button', 'canvas', 'caption', 'cite', 'code', 'col', 'colgroup', 'data', 'datalist', 'dd', 'del', 'details', 'dfn', 'dialog', 'div', 'dl', 'dt', 'em', 'embed', 'fieldset', 'figcaption', 'figure', 'footer', 'form', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'head', 'header', 'hgroup', 'hr', 'html', 'i', 'iframe', 'img', 'input', 'ins', 'kbd', 'keygen', 'label', 'legend', 'li', 'link', 'main', 'map', 'mark', 'marquee', 'menu', 'menuitem', 'meta', 'meter', 'nav', 'noscript', 'object', 'ol', 'optgroup', 'option', 'output', 'p', 'param', 'picture', 'pre', 'progress', 'q', 'rp', 'rt', 'ruby', 's', 'samp', 'script', 'section', 'select', 'small', 'source', 'span', 'strong', 'style', 'sub', 'summary', 'sup', 'table', 'tbody', 'td', 'textarea', 'tfoot', 'th', 'thead', 'time', 'title', 'tr', 'track', 'u', 'ul', 'var', 'video', 'wbr', // SVG
'circle', 'clipPath', 'defs', 'ellipse', 'foreignObject', 'g', 'image', 'line', 'linearGradient', 'mask', 'path', 'pattern', 'polygon', 'polyline', 'radialGradient', 'rect', 'stop', 'svg', 'text', 'tspan'];
var elements = domElements.reduce(function (acc, element) {
  var _extends2;

  return _extends({}, acc, (_extends2 = {}, _extends2[element] = animated(element), _extends2));
}, {});
Object.assign(animated, elements);

var createAnimatedComponent = function createAnimatedComponent(comp) {
  return console.warn('createAnimatedComponent is deprecated, use animated(comp) instead') || animated(comp);
};

exports.Globals = Globals_js;
exports.Animation = Animation_js;
exports.AnimatedValue = AnimatedValue_js;
exports.SpringAnimation = SpringAnimation_js;
exports.controller = AnimatedController_js;
exports.interpolate = AnimatedInterpolation_js.interpolate;
exports.animated = animated;
exports.Spring = Spring_js__default;
exports.config = Spring_js.config;
exports.Transition = Transition_js;
exports.Trail = Trail_js;
exports.Keyframes = Keyframes_js;
exports.Parallax = Parallax_js__default;
exports.ParallaxLayer = Parallax_js.ParallaxLayer;
exports.createAnimatedComponent = createAnimatedComponent;
