import _extends from '@babel/runtime/helpers/builtin/es6/extends';
import './globals.js';
import * as Globals_js from '../../animated/Globals.js';
export { Globals_js as Globals };
import Animation_js from '../../animated/Animation.js';
export { default as Animation } from '../../animated/Animation.js';
import AnimatedValue_js from '../../animated/AnimatedValue.js';
export { default as AnimatedValue } from '../../animated/AnimatedValue.js';
import SpringAnimation_js from '../../animated/SpringAnimation.js';
export { default as SpringAnimation } from '../../animated/SpringAnimation.js';
import AnimatedController_js from '../../animated/AnimatedController.js';
export { default as controller } from '../../animated/AnimatedController.js';
import { interpolate } from '../../animated/AnimatedInterpolation.js';
export { interpolate } from '../../animated/AnimatedInterpolation.js';
import animated from '../../animated/createAnimatedComponent.js';
export { default as animated } from '../../animated/createAnimatedComponent.js';
import Spring_js, { config } from '../../Spring.js';
export { default as Spring, config } from '../../Spring.js';
import Transition_js from '../../Transition.js';
export { default as Transition } from '../../Transition.js';
import Trail_js from '../../Trail.js';
export { default as Trail } from '../../Trail.js';
import Keyframes_js from '../../Keyframes.js';
export { default as Keyframes } from '../../Keyframes.js';
import Parallax_js, { ParallaxLayer } from './Parallax.js';
export { default as Parallax, ParallaxLayer } from './Parallax.js';

var domElements = ['a', 'abbr', 'address', 'area', 'article', 'aside', 'audio', 'b', 'base', 'bdi', 'bdo', 'big', 'blockquote', 'body', 'br', 'button', 'canvas', 'caption', 'cite', 'code', 'col', 'colgroup', 'data', 'datalist', 'dd', 'del', 'details', 'dfn', 'dialog', 'div', 'dl', 'dt', 'em', 'embed', 'fieldset', 'figcaption', 'figure', 'footer', 'form', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'head', 'header', 'hgroup', 'hr', 'html', 'i', 'iframe', 'img', 'input', 'ins', 'kbd', 'keygen', 'label', 'legend', 'li', 'link', 'main', 'map', 'mark', 'marquee', 'menu', 'menuitem', 'meta', 'meter', 'nav', 'noscript', 'object', 'ol', 'optgroup', 'option', 'output', 'p', 'param', 'picture', 'pre', 'progress', 'q', 'rp', 'rt', 'ruby', 's', 'samp', 'script', 'section', 'select', 'small', 'source', 'span', 'strong', 'style', 'sub', 'summary', 'sup', 'table', 'tbody', 'td', 'textarea', 'tfoot', 'th', 'thead', 'time', 'title', 'tr', 'track', 'u', 'ul', 'var', 'video', 'wbr', // SVG
'circle', 'clipPath', 'defs', 'ellipse', 'foreignObject', 'g', 'image', 'line', 'linearGradient', 'mask', 'path', 'pattern', 'polygon', 'polyline', 'radialGradient', 'rect', 'stop', 'svg', 'text', 'tspan'];
var elements = domElements.reduce(function (acc, element) {
  var _extends2;

  return _extends({}, acc, (_extends2 = {}, _extends2[element] = animated(element), _extends2));
}, {});
Object.assign(animated, elements);

var createAnimatedComponent = function createAnimatedComponent(comp) {
  return console.warn('createAnimatedComponent is deprecated, use animated(comp) instead') || animated(comp);
};

export { createAnimatedComponent };
